summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Miguel De Anda <miguel@thedeanda.com>2015-06-20 21:59:42 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-20 21:59:42 +0700
commita5123777b3bd4c03ef5a718d2d286caad5b192fe (patch)
tree26ef3fdd2c196494fc6aeda4e620eace69cdc84d
parent291acb44d744d065526573a91553e1c6d8649665 (diff)
downloadslackbuilds-a5123777b3bd4c03ef5a718d2d286caad5b192fe.tar.gz
slackbuilds-a5123777b3bd4c03ef5a718d2d286caad5b192fe.tar.xz
system/mongo-tools: Added (Database Software).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/mongo-tools/README5
-rw-r--r--system/mongo-tools/mongo-tools.SlackBuild96
-rw-r--r--system/mongo-tools/mongo-tools.info10
-rw-r--r--system/mongo-tools/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/system/mongo-tools/README b/system/mongo-tools/README
new file mode 100644
index 0000000000..49bb367d70
--- /dev/null
+++ b/system/mongo-tools/README
@@ -0,0 +1,5 @@
+Mongo-Tools is a set of tools for MongoDB.
+
+Includes: bsondump, mongoimport, mongoexport, mongodump,
+ mongorestore, mongostat, mongofiles, mongooplog,
+ and mongotop
diff --git a/system/mongo-tools/mongo-tools.SlackBuild b/system/mongo-tools/mongo-tools.SlackBuild
new file mode 100644
index 0000000000..f6c188d6f7
--- /dev/null
+++ b/system/mongo-tools/mongo-tools.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for mongo-tools
+
+# Copyright 2015 Miguel De Anda <miguel@thedeanda.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mongo-tools
+VERSION=${VERSION:-3.1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCHIVE=r${VERSION}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$ARCHIVE.tar.gz || tar xvf $CWD/$PRGNAM-$ARCHIVE.tar.gz
+mv $PRGNAM-r$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+TARGET_PATH=$PKG/usr/bin
+mkdir -p $TARGET_PATH
+. ./set_gopath.sh
+
+# next block taken from mongo-tools build script
+for i in bsondump mongostat mongofiles mongoexport mongoimport mongorestore mongodump mongotop mongooplog; do
+ echo "Building ${i}..."
+ # Build the tool, using -ldflags to link in the current gitspec
+ go build -o "$TARGET_PATH/$i" -tags "ssl sasl" "$i/main/$i.go"
+done
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.md README.md THIRD-PARTY-NOTICES CONTRIBUTING.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/mongo-tools/mongo-tools.info b/system/mongo-tools/mongo-tools.info
new file mode 100644
index 0000000000..4261077a4d
--- /dev/null
+++ b/system/mongo-tools/mongo-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="mongo-tools"
+VERSION="3.1.4"
+HOMEPAGE="http://www.mongodb.org/"
+DOWNLOAD="https://github.com/mongodb/mongo-tools/archive/r3.1.4.tar.gz"
+MD5SUM="a6e4b0289f524e99df35ee9f5802ed2b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang"
+MAINTAINER="Miguel De Anda"
+EMAIL="miguel@thedeanda.com"
diff --git a/system/mongo-tools/slack-desc b/system/mongo-tools/slack-desc
new file mode 100644
index 0000000000..330d409238
--- /dev/null
+++ b/system/mongo-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mongo-tools: mongo-tools (Database Software)
+mongo-tools:
+mongo-tools: Mongo-Tools is a set of tools for MongoDB.
+mongo-tools:
+mongo-tools: Includes: bsondump, mongoimport, mongoexport, mongodump,
+mongo-tools: mongorestore, mongostat, mongofiles, mongooplog, and mongotop
+mongo-tools:
+mongo-tools: Homepage: http://www.mongo-tools.org/
+mongo-tools:
+mongo-tools:
+mongo-tools: